package com.inspect.metadata.statis.service;

import com.inspect.metadata.statis.domain.BasedataStatisNvr;

import java.util.List;

public interface IBasedataStatisNvrService {
    BasedataStatisNvr selectBasedataStatisNvrByStatisNvrId(Long nvrId);

    List<BasedataStatisNvr> selectBasedataStatisNvrList(BasedataStatisNvr nvr);

    int insertBasedataStatisNvr(BasedataStatisNvr nvr);

    int updateBasedataStatisNvr(BasedataStatisNvr nvr);

    int deleteBasedataStatisNvrByStatisNvrIds(Long[] nvrIds);

    int deleteBasedataStatisNvrByStatisNvrId(Long nvrId);
}
